Subject: Re: linux-next: Tree for Oct 9th (drivers/dma/stm32-mdma.c)

From: Vinod Koul <[email-masked]>
Date: Wed, 11 Oct 2017 18:25:28 +0530

On Tue, Oct 10, 2017 at 09:27:18AM -0700, Randy Dunlap wrote:
> On 10/09/17 14:21, Mark Brown wrote:
> > For my birthday I've gone and got myself a linux-next tree:

Nice thing you chose to do for the day :D

> > 
> > Changes since 20170929:
> > 
> 
> on i386:
> 
> drivers/dma/stm32-mdma.o: In function `stm32_mdma_prep_dma_memcpy':
> stm32-mdma.c:(.text+0x1174): undefined reference to `__umoddi3'
> stm32-mdma.c:(.text+0x1208): undefined reference to `__umoddi3'
> stm32-mdma.c:(.text+0x134c): undefined reference to `__umoddi3'
> stm32-mdma.c:(.text+0x141d): undefined reference to `__umoddi3'

The driver uses DIV_ROUND_UP but this should have worked, let me check more.
Was generic i386 defconfig used or some other config

-- 
~Vinod